VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties
VisimRenderGL.GLTexture Class Reference
Inheritance diagram for VisimRenderGL.GLTexture:

List of all members.

## Public Member Functions
| GLTexture (int id, int width, int height, TextureFormat tf, string name, string filename)
override void | Dispose ()
override void | Activate (IRenderContext rc)
| Activates texture in specified render context.
override Bitmap | GetBitmap ()
| Creates System.Drawin.Bitmap from actual version of the texture and returns it User must dispose it correctly by himself.
## Public Attributes
int | GLID
## Properties
override int | InternalID`[get]`
| Returns internal ID for direct (and faster) access to renderer. Not all renderers may support this. If InternalID = -1, texture doesn't have internal id or is not valid.

## Constructor & Destructor Documentation

VisimRenderGL.GLTexture.GLTexture | ( | int | id,
|  | int | width,
|  | int | height,
|  | TextureFormat | tf,
|  | string | name,
|  | string | filename
| ) |  |

## Member Function Documentation

override void VisimRenderGL.GLTexture.Activate | ( | IRenderContext | rc | ) | `[virtual]`

Activates texture in specified render context.

Parameters:

  rc |

Implements VisimBox.Renderer.Texture.

override void VisimRenderGL.GLTexture.Dispose | ( |  | ) | `[virtual]`

Reimplemented from VisimBox.Renderer.Texture.

override Bitmap VisimRenderGL.GLTexture.GetBitmap | ( |  | ) | `[virtual]`

Creates System.Drawin.Bitmap from actual version of the texture and returns it User must dispose it correctly by himself.

Returns:
  Bitmap containg image in the current texture

Implements VisimBox.Renderer.Texture.

## Member Data Documentation

int VisimRenderGL.GLTexture.GLID

## Property Documentation

override int VisimRenderGL.GLTexture.InternalID`[get]`

Returns internal ID for direct (and faster) access to renderer. Not all renderers may support this. If InternalID = -1, texture doesn't have internal id or is not valid.

Reimplemented from VisimBox.Renderer.Texture.

The documentation for this class was generated from the following file:

- GLTextures.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events